<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

    <body>

        <ui:composition template="./../WEB-INF/modelo.xhtml">

            <ui:define name="conteudo">

                <h:form>
                    <p:fieldset legend="Cadasto de Gênero" >

                        <p:panelGrid columns="2" id="pnl">
                            
                            <p:outputLabel value="Código:" for="txtCodigo" />
                            <p:inputText style="width: 80px;" id="txtCodigo" 
                                         value="#{generoBean.codigo}" readonly="true" />
                            <p:outputLabel for="txtDescricao" value="Descrição:" />
                            <p:inputText id="txtDescricao"
                                         value="#{generoBean.descricao}"
                                         required="true" />
                            <h:inputHidden value="#{generoBean.codigo}" />
                            <h:panelGroup >
                                <p:commandButton value="Salvar"
                                                 update="pnl"
                                                 action="#{generoBean.salvar}"  />
                            <p:spacer width="22" />
                            <p:commandButton value="Novo" update="pnl" action="#{generoBean.novo}"/>
                            </h:panelGroup>
                            
                            
                        </p:panelGrid>
                    </p:fieldset>
                </h:form>

            </ui:define>

        </ui:composition>

    </body>
</html>
